package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 隔离
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_isolate")
public class BillIsolate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 来访类型 0人员  1环保车 2拉猪车 3饲料车  4送猪车 5物资车  6送餐
     */
    private Integer vistitType;

    /**
     * 目的地
     */
    private String destName;

    /**
     * 目的地 id
     */
    private Integer destId;

    /**
     * 申请人
     */
    private String admissionUserName;

    /**
     * 申请人id
     */
    private Integer admissionUserId;

    /**
     * 来访时间
     */
    private LocalDateTime vistitDate;

    /**
     * 提交时间
     */
    private LocalDateTime subDate;

    private Integer farmId;

    /**
     * 当前状态 0待隔离 1隔离中  2已完成 3提前解除
     */
    private Integer billStatus;

    /**
     * 处理时间
     */
    private LocalDateTime passDate;

    /**
     * 处理人
     */
    private String passUserName;

    /**
     * 处理人id
     */
    private Integer passUserId;

    /**
     * 进程id
     */
    private Integer processId;

    /**
     * 隔离地点
     */
    private String isolateLocation;

    private Integer isolateLocationId;

    /**
     * 隔离开始时间
     */
    private LocalDateTime isolateStartDate;

    /**
     * 隔离结束时间
     */
    private LocalDateTime isolateEndDate;

    /**
     * 隔离天数
     */
    private Integer isolateDayNum;

    /**
     * 真实隔离天数
     */
    private Integer isolateRealDayNum;

    /**
     * 真实隔离结束时间
     */
    private LocalDateTime isolateRealEndDate;


}
